﻿using Application1.ServiceReference1;
using System;
using System.Threading.Tasks;
using System.Windows;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace Application1
{
    public sealed partial class MainPage : Page
    {
        Service1Client _soapClient =
        new Service1Client(
            new System.ServiceModel.BasicHttpBinding(),
            new System.ServiceModel.EndpointAddress(
                new Uri("http://localhost/WcfService1/Service1.svc")));
        public MainPage() {
            this.InitializeComponent();

            // Enter construction logic here...
        }

        private async void Button_Click(object sender, RoutedEventArgs e) {
            CompositeTypeOfOpState data = await GetData();
            TextBlock1.Text = data.Value.ToString();
        }

        

        async Task<CompositeTypeOfOpState> GetData() {
            CompositeTypeOfOpState data = null;
            try {
                get_DataResponse r = await _soapClient.get_DataAsync();
                data = r.Body.get_DataResult;
            } catch (Exception ex) {
                MessageBox.Show(ex.Message);
            }
            return data;
        }
    }
}
